<?php
$choreo_woocommerce_sc = choreo_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $choreo_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$choreo_scheme = choreo_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $choreo_scheme ) && ! choreo_is_inherit( $choreo_scheme ) ) {
			echo ' scheme_' . esc_attr( $choreo_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( choreo_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( choreo_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$choreo_css      = '';
			$choreo_bg_image = choreo_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $choreo_bg_image ) ) {
				$choreo_css .= 'background-image: url(' . esc_url( choreo_get_attachment_url( $choreo_bg_image ) ) . ');';
			}
			if ( ! empty( $choreo_css ) ) {
				echo ' style="' . esc_attr( $choreo_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$choreo_anchor_icon = choreo_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$choreo_anchor_text = choreo_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $choreo_anchor_icon ) || ! empty( $choreo_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $choreo_anchor_icon ) ? ' icon="' . esc_attr( $choreo_anchor_icon ) . '"' : '' )
											. ( ! empty( $choreo_anchor_text ) ? ' title="' . esc_attr( $choreo_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( choreo_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' choreo-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$choreo_css      = '';
				$choreo_bg_mask  = choreo_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$choreo_bg_color_type = choreo_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $choreo_bg_color_type ) {
					$choreo_bg_color = choreo_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $choreo_bg_color_type ) {
					$choreo_bg_color = choreo_get_scheme_color( 'bg_color', $choreo_scheme );
				} else {
					$choreo_bg_color = '';
				}
				if ( ! empty( $choreo_bg_color ) && $choreo_bg_mask > 0 ) {
					$choreo_css .= 'background-color: ' . esc_attr(
						1 == $choreo_bg_mask ? $choreo_bg_color : choreo_hex2rgba( $choreo_bg_color, $choreo_bg_mask )
					) . ';';
				}
				if ( ! empty( $choreo_css ) ) {
					echo ' style="' . esc_attr( $choreo_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$choreo_caption     = choreo_get_theme_option( 'front_page_woocommerce_caption' );
				$choreo_description = choreo_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $choreo_caption ) || ! empty( $choreo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $choreo_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $choreo_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $choreo_caption, 'choreo_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $choreo_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $choreo_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $choreo_description ), 'choreo_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $choreo_woocommerce_sc ) {
						$choreo_woocommerce_sc_ids      = choreo_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$choreo_woocommerce_sc_per_page = count( explode( ',', $choreo_woocommerce_sc_ids ) );
					} else {
						$choreo_woocommerce_sc_per_page = max( 1, (int) choreo_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$choreo_woocommerce_sc_columns = max( 1, min( $choreo_woocommerce_sc_per_page, (int) choreo_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$choreo_woocommerce_sc}"
										. ( 'products' == $choreo_woocommerce_sc
												? ' ids="' . esc_attr( $choreo_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $choreo_woocommerce_sc
												? ' category="' . esc_attr( choreo_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $choreo_woocommerce_sc
												? ' orderby="' . esc_attr( choreo_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( choreo_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $choreo_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $choreo_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
