<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package CHOREO
 * @since CHOREO 1.0.50
 */

$choreo_template_args = get_query_var( 'choreo_template_args' );
if ( is_array( $choreo_template_args ) ) {
	$choreo_columns    = empty( $choreo_template_args['columns'] ) ? 2 : max( 1, $choreo_template_args['columns'] );
	$choreo_blog_style = array( $choreo_template_args['type'], $choreo_columns );
} else {
	$choreo_template_args = array();
	$choreo_blog_style = explode( '_', choreo_get_theme_option( 'blog_style' ) );
	$choreo_columns    = empty( $choreo_blog_style[1] ) ? 2 : max( 1, $choreo_blog_style[1] );
}
$choreo_blog_id       = choreo_get_custom_blog_id( join( '_', $choreo_blog_style ) );
$choreo_blog_style[0] = str_replace( 'blog-custom-', '', $choreo_blog_style[0] );
$choreo_expanded      = ! choreo_sidebar_present() && choreo_get_theme_option( 'expand_content' ) == 'expand';
$choreo_components    = ! empty( $choreo_template_args['meta_parts'] )
							? ( is_array( $choreo_template_args['meta_parts'] )
								? join( ',', $choreo_template_args['meta_parts'] )
								: $choreo_template_args['meta_parts']
								)
							: choreo_array_get_keys_by_value( choreo_get_theme_option( 'meta_parts' ) );
$choreo_post_format   = get_post_format();
$choreo_post_format   = empty( $choreo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $choreo_post_format );

$choreo_blog_meta     = choreo_get_custom_layout_meta( $choreo_blog_id );
$choreo_custom_style  = ! empty( $choreo_blog_meta['scripts_required'] ) ? $choreo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $choreo_template_args['slider'] ) || $choreo_columns > 1 || ! choreo_is_off( $choreo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $choreo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( choreo_is_off( $choreo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $choreo_custom_style ) ) . "-1_{$choreo_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $choreo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $choreo_columns )
					. ' post_layout_' . esc_attr( $choreo_blog_style[0] )
					. ' post_layout_' . esc_attr( $choreo_blog_style[0] ) . '_' . esc_attr( $choreo_columns )
					. ( ! choreo_is_off( $choreo_custom_style )
						? ' post_layout_' . esc_attr( $choreo_custom_style )
							. ' post_layout_' . esc_attr( $choreo_custom_style ) . '_' . esc_attr( $choreo_columns )
						: ''
						)
		);
	choreo_add_blog_animation( $choreo_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'choreo_action_show_layout', $choreo_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $choreo_template_args['slider'] ) || $choreo_columns > 1 || ! choreo_is_off( $choreo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
