<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package CHOREO
 * @since CHOREO 1.0
 */

$choreo_template_args = get_query_var( 'choreo_template_args' );
if ( is_array( $choreo_template_args ) ) {
	$choreo_columns    = empty( $choreo_template_args['columns'] ) ? 2 : max( 1, $choreo_template_args['columns'] );
	$choreo_blog_style = array( $choreo_template_args['type'], $choreo_columns );
    $choreo_columns_class = choreo_get_column_class( 1, $choreo_columns, ! empty( $choreo_template_args['columns_tablet']) ? $choreo_template_args['columns_tablet'] : '', ! empty($choreo_template_args['columns_mobile']) ? $choreo_template_args['columns_mobile'] : '' );
} else {
	$choreo_template_args = array();
	$choreo_blog_style = explode( '_', choreo_get_theme_option( 'blog_style' ) );
	$choreo_columns    = empty( $choreo_blog_style[1] ) ? 2 : max( 1, $choreo_blog_style[1] );
    $choreo_columns_class = choreo_get_column_class( 1, $choreo_columns );
}

$choreo_post_format = get_post_format();
$choreo_post_format = empty( $choreo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $choreo_post_format );

?><div class="
<?php
if ( ! empty( $choreo_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( choreo_is_blog_style_use_masonry( $choreo_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $choreo_columns ) : esc_attr( $choreo_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $choreo_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $choreo_columns )
		. ( 'portfolio' != $choreo_blog_style[0] ? ' ' . esc_attr( $choreo_blog_style[0] )  . '_' . esc_attr( $choreo_columns ) : '' )
	);
	choreo_add_blog_animation( $choreo_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$choreo_hover   = ! empty( $choreo_template_args['hover'] ) && ! choreo_is_inherit( $choreo_template_args['hover'] )
								? $choreo_template_args['hover']
								: choreo_get_theme_option( 'image_hover' );

	if ( 'dots' == $choreo_hover ) {
		$choreo_post_link = empty( $choreo_template_args['no_links'] )
								? ( ! empty( $choreo_template_args['link'] )
									? $choreo_template_args['link']
									: get_permalink()
									)
								: '';
		$choreo_target    = ! empty( $choreo_post_link ) && false === strpos( $choreo_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$choreo_components = ! empty( $choreo_template_args['meta_parts'] )
							? ( is_array( $choreo_template_args['meta_parts'] )
								? $choreo_template_args['meta_parts']
								: explode( ',', $choreo_template_args['meta_parts'] )
								)
							: choreo_array_get_keys_by_value( choreo_get_theme_option( 'meta_parts' ) );

	// Featured image
	choreo_show_post_featured( apply_filters( 'choreo_filter_args_featured',
        array(
			'hover'         => $choreo_hover,
			'no_links'      => ! empty( $choreo_template_args['no_links'] ),
			'thumb_size'    => ! empty( $choreo_template_args['thumb_size'] )
								? $choreo_template_args['thumb_size']
								: choreo_get_thumb_size(
									choreo_is_blog_style_use_masonry( $choreo_blog_style[0] )
										? (	strpos( choreo_get_theme_option( 'body_style' ), 'full' ) !== false || $choreo_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( choreo_get_theme_option( 'body_style' ), 'full' ) !== false || $choreo_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => choreo_is_blog_style_use_masonry( $choreo_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $choreo_components,
			'class'         => 'dots' == $choreo_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $choreo_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $choreo_post_link )
												? '<a href="' . esc_url( $choreo_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $choreo_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $choreo_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $choreo_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!