<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package CHOREO
 * @since CHOREO 1.0.10
 */

// Footer sidebar
$choreo_footer_name    = choreo_get_theme_option( 'footer_widgets' );
$choreo_footer_present = ! choreo_is_off( $choreo_footer_name ) && is_active_sidebar( $choreo_footer_name );
if ( $choreo_footer_present ) {
	choreo_storage_set( 'current_sidebar', 'footer' );
	$choreo_footer_wide = choreo_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $choreo_footer_name ) ) {
		dynamic_sidebar( $choreo_footer_name );
	}
	$choreo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $choreo_out ) ) {
		$choreo_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $choreo_out );
		$choreo_need_columns = true;   //or check: strpos($choreo_out, 'columns_wrap')===false;
		if ( $choreo_need_columns ) {
			$choreo_columns = max( 0, (int) choreo_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $choreo_columns ) {
				$choreo_columns = min( 4, max( 1, choreo_tags_count( $choreo_out, 'aside' ) ) );
			}
			if ( $choreo_columns > 1 ) {
				$choreo_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $choreo_columns ) . ' widget', $choreo_out );
			} else {
				$choreo_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $choreo_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'choreo_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $choreo_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $choreo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'choreo_action_before_sidebar', 'footer' );
				choreo_show_layout( $choreo_out );
				do_action( 'choreo_action_after_sidebar', 'footer' );
				if ( $choreo_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $choreo_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'choreo_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
