<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package CHOREO
 * @since CHOREO 1.0.06
 */

$choreo_header_css   = '';
$choreo_header_image = get_header_image();
$choreo_header_video = choreo_get_header_video();
if ( ! empty( $choreo_header_image ) && choreo_trx_addons_featured_image_override( is_singular() || choreo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$choreo_header_image = choreo_get_current_mode_image( $choreo_header_image );
}

$choreo_header_id = choreo_get_custom_header_id();
$choreo_header_meta = get_post_meta( $choreo_header_id, 'trx_addons_options', true );
if ( ! empty( $choreo_header_meta['margin'] ) ) {
	choreo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( choreo_prepare_css_value( $choreo_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $choreo_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $choreo_header_id ) ) ); ?>
				<?php
				echo ! empty( $choreo_header_image ) || ! empty( $choreo_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $choreo_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $choreo_header_image ) {
					echo ' ' . esc_attr( choreo_add_inline_css_class( 'background-image: url(' . esc_url( $choreo_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( choreo_is_on( choreo_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight choreo-full-height';
				}
				$choreo_header_scheme = choreo_get_theme_option( 'header_scheme' );
				if ( ! empty( $choreo_header_scheme ) && ! choreo_is_inherit( $choreo_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $choreo_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $choreo_header_video ) ) {
		get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'choreo_action_show_layout', $choreo_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
