<?php
/**
 * The template to display default site header
 *
 * @package CHOREO
 * @since CHOREO 1.0
 */

$choreo_header_css   = '';
$choreo_header_image = get_header_image();
$choreo_header_video = choreo_get_header_video();
if ( ! empty( $choreo_header_image ) && choreo_trx_addons_featured_image_override( is_singular() || choreo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$choreo_header_image = choreo_get_current_mode_image( $choreo_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $choreo_header_image ) || ! empty( $choreo_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $choreo_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $choreo_header_image ) {
		echo ' ' . esc_attr( choreo_add_inline_css_class( 'background-image: url(' . esc_url( $choreo_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( choreo_is_on( choreo_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight choreo-full-height';
	}
	$choreo_header_scheme = choreo_get_theme_option( 'header_scheme' );
	if ( ! empty( $choreo_header_scheme ) && ! choreo_is_inherit( $choreo_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $choreo_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $choreo_header_video ) ) {
		get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( choreo_is_on( choreo_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'choreo_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
