<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package CHOREO
 * @since CHOREO 1.0
 */

$choreo_args = get_query_var( 'choreo_logo_args' );

// Site logo
$choreo_logo_type   = isset( $choreo_args['type'] ) ? $choreo_args['type'] : '';
$choreo_logo_image  = choreo_get_logo_image( $choreo_logo_type );
$choreo_logo_text   = choreo_is_on( choreo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$choreo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $choreo_logo_image['logo'] ) || ! empty( $choreo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $choreo_logo_image['logo'] ) ) {
			if ( empty( $choreo_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($choreo_logo_image['logo']) && (int) $choreo_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$choreo_attr = choreo_getimagesize( $choreo_logo_image['logo'] );
				echo '<img src="' . esc_url( $choreo_logo_image['logo'] ) . '"'
						. ( ! empty( $choreo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $choreo_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $choreo_logo_text ) . '"'
						. ( ! empty( $choreo_attr[3] ) ? ' ' . wp_kses_data( $choreo_attr[3] ) : '' )
						. '>';
			}
		} else {
			choreo_show_layout( choreo_prepare_macros( $choreo_logo_text ), '<span class="logo_text">', '</span>' );
			choreo_show_layout( choreo_prepare_macros( $choreo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
