<?php
/**
 * The template to display the widgets area in the header
 *
 * @package CHOREO
 * @since CHOREO 1.0
 */

// Header sidebar
$choreo_header_name    = choreo_get_theme_option( 'header_widgets' );
$choreo_header_present = ! choreo_is_off( $choreo_header_name ) && is_active_sidebar( $choreo_header_name );
if ( $choreo_header_present ) {
	choreo_storage_set( 'current_sidebar', 'header' );
	$choreo_header_wide = choreo_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $choreo_header_name ) ) {
		dynamic_sidebar( $choreo_header_name );
	}
	$choreo_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $choreo_widgets_output ) ) {
		$choreo_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $choreo_widgets_output );
		$choreo_need_columns   = strpos( $choreo_widgets_output, 'columns_wrap' ) === false;
		if ( $choreo_need_columns ) {
			$choreo_columns = max( 0, (int) choreo_get_theme_option( 'header_columns' ) );
			if ( 0 == $choreo_columns ) {
				$choreo_columns = min( 6, max( 1, choreo_tags_count( $choreo_widgets_output, 'aside' ) ) );
			}
			if ( $choreo_columns > 1 ) {
				$choreo_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $choreo_columns ) . ' widget', $choreo_widgets_output );
			} else {
				$choreo_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $choreo_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'choreo_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $choreo_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $choreo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'choreo_action_before_sidebar', 'header' );
				choreo_show_layout( $choreo_widgets_output );
				do_action( 'choreo_action_after_sidebar', 'header' );
				if ( $choreo_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $choreo_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'choreo_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
