<?php
/**
 * The template to display Admin notices
 *
 * @package CHOREO
 * @since CHOREO 1.0.64
 */

$choreo_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$choreo_skins_args = get_query_var( 'choreo_skins_notice_args' );
?>
<div class="choreo_admin_notice choreo_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$choreo_theme_img = choreo_get_file_url( 'screenshot.jpg' );
	if ( '' != $choreo_theme_img ) {
		?>
		<div class="choreo_notice_image"><img src="<?php echo esc_url( $choreo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'choreo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="choreo_notice_title">
		<?php esc_html_e( 'New skins are available', 'choreo' ); ?>
	</h3>
	<?php

	// Description
	$choreo_total      = $choreo_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$choreo_skins_msg  = $choreo_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $choreo_total, 'choreo' ), $choreo_total ) . '</strong>'
							: '';
	$choreo_total      = $choreo_skins_args['free'];
	$choreo_skins_msg .= $choreo_total > 0
							? ( ! empty( $choreo_skins_msg ) ? ' ' . esc_html__( 'and', 'choreo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $choreo_total, 'choreo' ), $choreo_total ) . '</strong>'
							: '';
	$choreo_total      = $choreo_skins_args['pay'];
	$choreo_skins_msg .= $choreo_skins_args['pay'] > 0
							? ( ! empty( $choreo_skins_msg ) ? ' ' . esc_html__( 'and', 'choreo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $choreo_total, 'choreo' ), $choreo_total ) . '</strong>'
							: '';
	?>
	<div class="choreo_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'choreo' ), $choreo_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="choreo_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $choreo_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'choreo' );
			?>
		</a>
	</div>
</div>
